use leptos::*;

pub mod svgs;

#[component]
pub fn FormControl(label: &'static str, children: Children) -> impl IntoView {
    view! {
        <div class="w-full form-control">
            <label class="label">
                <span class="label-text">{label}</span>
                {children()}
            </label>
        </div>
    }
}

#[component]
pub fn Card(children: Children) -> impl IntoView {
    view! {
        <div class="overflow-y-scroll flex-col-reverse shadow-xl max-h-[80dvh] size-full bg-base-300 card">
            <div class="card-body">{children()}</div>
        </div>
    }
}
